package de.ctdo.crashtest.game;

/**
 * @author: lucas
 * @date: 01.06.12 14:17
 */
public interface IStatemachine {
    void addStateChangedListener(StateChangeListener listener);
    void reset();
    Statemachine.state getCurrentState();
    void setNewState(Statemachine.state newState);
    int getStateChangeCounter();
    void handleInput(char input);
}
