package de.ctdo.crashtest.mpd;

import de.ctdo.crashtest.log.Logger;
import org.bff.javampd.MPD;
import org.bff.javampd.MPDDatabase;
import org.bff.javampd.MPDPlayer;
import org.bff.javampd.exception.MPDConnectionException;
import org.bff.javampd.exception.MPDDatabaseException;
import org.bff.javampd.objects.MPDSong;

import java.net.UnknownHostException;
import java.util.Collection;

/**
 * @author: lucas
 * @date: 01.06.12 10:34
 */
public class MPDController implements  IMPDController {

    private MPD mpd;
    private MPDPlayer player;

    public MPDController() {
        initMPD();

    }

    private void initMPD() {
        try {
            mpd = new MPD("dampfradio.raum.chaostreff-dortmund.de", 6600);
            player = mpd.getMPDPlayer();

            MPDDatabase database = mpd.getMPDDatabase();

            Collection<MPDSong> bla = database.findTitle("");

        } catch (UnknownHostException e) {
            Logger.sLog("MPD error: " + e.getMessage());
        } catch (MPDConnectionException e) {
            Logger.sLog("MPD error: " + e.getMessage());
        } catch (MPDDatabaseException e) {
            Logger.sLog("MPD error: " + e.getMessage());
        }
    }


    @Override
    public void playSong(String artist, String title) {
        if(mpd != null && player != null) {

            // MPDSong finden in der DB
            // dann abspielen

        }
    }

    @Override
    public void setVolume(int volume) {
        if(mpd != null && player != null) {

        }
    }
}
